3.2.4新设备上线，上报信息没有IP地址和相关参数

03/28/2025 12:02 - 天文 刘

Status: Feedback Start date: 03/28/2025

Priority: Normal Due date:  

Assignee: 齐 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250326150244 复现概率: 100%

Description

测试步骤：

1.使用saf console进入网关中间件，并开中间件打印；

2.登录智能网关管理后台，进入下发命令测试页面，输入网关MAC，输入如下脚本并下发命令，开启新接入设备网关消息上报功能； {

"RPCMethod": "NewDevice",

"ID": "30e06488-efd0-484f-ac63-236061e1802b",

"Enable": "1",

"SequenceId": "1234ABCD"

}

3.用手机或者PC接入网关；

在智能网关管理后台查看新设备接入的上报消息

通过标准：

1.步骤2中，智能网关管理后台提示下发命令成功；

2.步骤3中，手机或者PC接入网关时，中间件应能打印出中间件向智能网关管理后台发送新设备接入提醒；

3.步骤4中，智能网关管理后台应该收到新设备接入上报信息。

实际结果

3.能收到相关消息，但是里面没有IP地址和一些信息

History

#1 - 04/02/2025 15:33 - 齐 刘

- Status changed from New to Feedback

1. cat /etc/hi_version

chip name          :emei_v500

product name       :ctc_hgu

glb version type   :release

boot version type  :debug

sdk version type   :release

kernel version type:release

hgw version type   :release

product version    :HSAN_3.5.12.linux0

git version        :2b7533b8

flash type         :spi

release time       :20250401152636

software version   :V1.0.0

hardware version   :V1.0.0

没复现

2025-04-02 15:31:15.662 [INFO] >

{"RPCMethod":"NewDeviceNotification","ID":"c48ebdc5-9aba-461c-82fc-4640803daa5e","DevList":[{"Time":"20250402153115","DevName":"","DevTy

pe":"","MAC":"20626650A802","IP":"192.168.1.31","ConnectType":"0","Port":"1","Brand":"","OS":""}]} (234)

2025-04-02 15:31:15.665 [INFO] < {"Result":0,"Ack":"NewDeviceNotification","ID":"c48ebdc5-9aba-461c-82fc-4640803daa5e"} (86)

2025-04-02 15:31:15.681 [INFO] >

{"RPCMethod":"NewDeviceNotification","ID":"e3b81c07-16aa-4eae-bb3b-b5d00dcf36bb","DevList":[{"Time":"20250402153115","DevName":"","DevTy

pe":"","MAC":"20626650A801","IP":"192.168.1.30","ConnectType":"0","Port":"1","Brand":"","OS":""}]} (234)

2025-04-02 15:31:15.684 [INFO] < {"Result":0,"Ack":"NewDeviceNotification","ID":"e3b81c07-16aa-4eae-bb3b-b5d00dcf36bb"} (86)
